<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Market/Scripts/4_world/dayzexpansion_market/classes/useractionscomponent/actions/interact/expansionactionopenatmmenu.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d19/a01847_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionopenatmmenu.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d19/a01847.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionOpenATMMenu.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d9f/a05854.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d9f/a05854.html">ExpansionActionOpenATMMenu</a>: ActionInteractBase</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{   </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/d9f/a05854.html#a0869ba6abd9e8675598adc7d0fb0d414">   15</a></span>    <span class="keyword">private</span> <a class="code hl_class" href="../../de/d60/a06018.html">ExpansionMarketModule</a> <a class="code hl_variable" href="../../d3/d9f/a05854.html#a0869ba6abd9e8675598adc7d0fb0d414">m_MarketModule</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d9f/a05854.html#aeb4295f1f5aae142b04926d19b48942f">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d9f/a05854.html#aeb4295f1f5aae142b04926d19b48942f">ExpansionActionOpenATMMenu</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_ATTACHITEM;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../df/df7/a00731.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a> = <span class="stringliteral">&quot;#use&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d3/d9f/a05854.html#aa694496153e8a1c88c08090cde1578a4">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d9f/a05854.html#aa694496153e8a1c88c08090cde1578a4">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {   </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_ConditionTarget = <span class="keyword">new</span> CCTObject(UAMaxDistances.BASEBUILDING);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d3/d9f/a05854.html#ae9fc67ce4b0f21ada2d52b4b0e7fec99">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d9f/a05854.html#ae9fc67ce4b0f21ada2d52b4b0e7fec99">ActionCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetMarket(<span class="keyword">false</span>).<a class="code hl_function" href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a>())</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetMarket().<a class="code hl_variable" href="../../dc/d93/a01535.html#ac6a7b877a260f4ffe9ee1a85ee657a9a">ATMSystemEnabled</a>)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> (!CF_Modules&lt;ExpansionMarketModule&gt;.Get(<a class="code hl_variable" href="../../d3/d9f/a05854.html#a0869ba6abd9e8675598adc7d0fb0d414">m_MarketModule</a>))</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/d9f/a05854.html#a0869ba6abd9e8675598adc7d0fb0d414">m_MarketModule</a>.<a class="code hl_function" href="../../de/d60/a06018.html#a030331480bbfc0e9c4b93170a4be3cf3">CanOpenMenu</a>())</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">if</span> (GetGame().IsClient() || !GetGame().IsMultiplayer())</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordflow">if</span> ( !target.GetObject() )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_variable" href="../../df/df7/a00731.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a> = <span class="stringliteral">&quot;#use&quot;</span> + <span class="stringliteral">&quot; - &quot;</span> + target.GetObject().GetDisplayName();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d3/d9f/a05854.html#a083911f07ffc8f19b2b6a33d1fcfeb5d">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d9f/a05854.html#a083911f07ffc8f19b2b6a33d1fcfeb5d">OnStartServer</a>(ActionData action_data)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        super.OnStartServer(action_data);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d3/d9f/a05854.html#a655f7039c99037b375dcdbd2d3dbadb8">   59</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d9f/a05854.html#a655f7039c99037b375dcdbd2d3dbadb8">OnStartClient</a>(ActionData action_data)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        super.OnStartClient(action_data);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_variable" href="../../d3/d9f/a05854.html#a0869ba6abd9e8675598adc7d0fb0d414">m_MarketModule</a>.<a class="code hl_function" href="../../de/d60/a06018.html#a01aa706275e97b780bb12d13f429205f">RequestPlayerATMData</a>();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_variable" href="../../d3/d9f/a05854.html#a0869ba6abd9e8675598adc7d0fb0d414">m_MarketModule</a>.<a class="code hl_function" href="../../de/d60/a06018.html#a37d503cda1590caee0d94f8187788fd3">OpenATMMenu</a>();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>}</div>
<div class="ttc" id="aa00023_html_ad9eab3191d8b7cc0f5414602631292b8"><div class="ttname"><a href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a></div><div class="ttdeci">override bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00251">expansionbasebuildingsettings.c:251</a></div></div>
<div class="ttc" id="aa00731_html_a0c7e8a2d151c2e6caa53bbfd4af52de2"><div class="ttname"><a href="../../df/df7/a00731.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a></div><div class="ttdeci">protected T m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00134">expansionnotificationsystem.c:134</a></div></div>
<div class="ttc" id="aa01535_html_ac6a7b877a260f4ffe9ee1a85ee657a9a"><div class="ttname"><a href="../../dc/d93/a01535.html#ac6a7b877a260f4ffe9ee1a85ee657a9a">ATMSystemEnabled</a></div><div class="ttdeci">bool ATMSystemEnabled</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d93/a01535_source.html#l00022">expansionmarketsettings.c:22</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa05854_html"><div class="ttname"><a href="../../d3/d9f/a05854.html">ExpansionActionOpenATMMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/a01847_source.html#l00013">expansionactionopenatmmenu.c:14</a></div></div>
<div class="ttc" id="aa05854_html_a083911f07ffc8f19b2b6a33d1fcfeb5d"><div class="ttname"><a href="../../d3/d9f/a05854.html#a083911f07ffc8f19b2b6a33d1fcfeb5d">ExpansionActionOpenATMMenu::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/a01847_source.html#l00054">expansionactionopenatmmenu.c:54</a></div></div>
<div class="ttc" id="aa05854_html_a0869ba6abd9e8675598adc7d0fb0d414"><div class="ttname"><a href="../../d3/d9f/a05854.html#a0869ba6abd9e8675598adc7d0fb0d414">ExpansionActionOpenATMMenu::m_MarketModule</a></div><div class="ttdeci">private ExpansionMarketModule m_MarketModule</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/a01847_source.html#l00015">expansionactionopenatmmenu.c:15</a></div></div>
<div class="ttc" id="aa05854_html_a655f7039c99037b375dcdbd2d3dbadb8"><div class="ttname"><a href="../../d3/d9f/a05854.html#a655f7039c99037b375dcdbd2d3dbadb8">ExpansionActionOpenATMMenu::OnStartClient</a></div><div class="ttdeci">override void OnStartClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/a01847_source.html#l00059">expansionactionopenatmmenu.c:59</a></div></div>
<div class="ttc" id="aa05854_html_aa694496153e8a1c88c08090cde1578a4"><div class="ttname"><a href="../../d3/d9f/a05854.html#aa694496153e8a1c88c08090cde1578a4">ExpansionActionOpenATMMenu::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/a01847_source.html#l00023">expansionactionopenatmmenu.c:23</a></div></div>
<div class="ttc" id="aa05854_html_ae9fc67ce4b0f21ada2d52b4b0e7fec99"><div class="ttname"><a href="../../d3/d9f/a05854.html#ae9fc67ce4b0f21ada2d52b4b0e7fec99">ExpansionActionOpenATMMenu::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/a01847_source.html#l00029">expansionactionopenatmmenu.c:29</a></div></div>
<div class="ttc" id="aa05854_html_aeb4295f1f5aae142b04926d19b48942f"><div class="ttname"><a href="../../d3/d9f/a05854.html#aeb4295f1f5aae142b04926d19b48942f">ExpansionActionOpenATMMenu::ExpansionActionOpenATMMenu</a></div><div class="ttdeci">void ExpansionActionOpenATMMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/a01847_source.html#l00017">expansionactionopenatmmenu.c:17</a></div></div>
<div class="ttc" id="aa06018_html"><div class="ttname"><a href="../../de/d60/a06018.html">ExpansionMarketModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/a09430_source.html#l00175">expansionmarketmodule.c:176</a></div></div>
<div class="ttc" id="aa06018_html_a01aa706275e97b780bb12d13f429205f"><div class="ttname"><a href="../../de/d60/a06018.html#a01aa706275e97b780bb12d13f429205f">ExpansionMarketModule::RequestPlayerATMData</a></div><div class="ttdeci">void RequestPlayerATMData()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/a09430_source.html#l03810">expansionmarketmodule.c:3810</a></div></div>
<div class="ttc" id="aa06018_html_a030331480bbfc0e9c4b93170a4be3cf3"><div class="ttname"><a href="../../de/d60/a06018.html#a030331480bbfc0e9c4b93170a4be3cf3">ExpansionMarketModule::CanOpenMenu</a></div><div class="ttdeci">bool CanOpenMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/a09430_source.html#l03660">expansionmarketmodule.c:3660</a></div></div>
<div class="ttc" id="aa06018_html_a37d503cda1590caee0d94f8187788fd3"><div class="ttname"><a href="../../de/d60/a06018.html#a37d503cda1590caee0d94f8187788fd3">ExpansionMarketModule::OpenATMMenu</a></div><div class="ttdeci">void OpenATMMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/a09430_source.html#l03688">expansionmarketmodule.c:3688</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_092c367fafeded0f85ad4cffb3510835.html">Market</a></li><li class="navelem"><a class="el" href="../../dir_1f05db06ccb72c72cd31e0fe28945d0f.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_0d9f305a43da1acbe9ca9fa3e93067ce.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_fc516d7c14301b75b0d64de2bcbbc86a.html">dayzexpansion_market</a></li><li class="navelem"><a class="el" href="../../dir_b94b4eabf51f038b793b0c8522782420.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_6909988bf783a13e077997a81615453f.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_af21800aadfd1fe1cc334d0e34299b31.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_3fc1d7efe903b957957defe464cca1d2.html">interact</a></li><li class="navelem"><a class="el" href="../../d3/d19/a01847.html">expansionactionopenatmmenu.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
